#
# spec file for package xmltv
#
# Copyright (c) 2019 Packman Team <packman@links2linux.de>
# Copyright (c) 2007-2010 Herbert Graeber <herbert@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           xmltv
Version:        0.6.1
Release:        pm150500.1.1
Summary:        A set of utilities to manage your TV viewing
Summary(de):    Eine Gruppe von Programmen zum Verwalten von TV-Programmen
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Other
URL:            http://xmltv.org
Source:         https://github.com/XMLTV/xmltv/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  perl-IO-stringy
BuildRequires:  perl-libwww-perl
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Date::Manip)
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(HTML::Tree)
BuildRequires:  perl(HTTP::Cache::Transparent)
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(Lingua::EN::Numbers::Ordinate)
BuildRequires:  perl(Lingua::Preferred)
BuildRequires:  perl(SOAP::Lite)
BuildRequires:  perl(Term::ProgressBar)
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Tk)
BuildRequires:  perl(Unicode::String)
BuildRequires:  perl(XML::DOM)
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Twig)
BuildRequires:  perl(XML::Writer)
BuildRequires:  perl(XML::XSLT)
Requires:       perl-IO-stringy
Requires:       perl-base = %{perl_version}
Requires:       perl-libwww-perl
Requires:       perl(Archive::Zip)
Requires:       perl(Compress::Zlib)
Requires:       perl(Date::Manip)
Requires:       perl(Encode)
Requires:       perl(File::Basename)
Requires:       perl(File::Path)
Requires:       perl(File::Slurp)
Requires:       perl(Getopt::Long)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::Parser)
Requires:       perl(HTML::Tree)
Requires:       perl(HTTP::Cache::Transparent)
Requires:       perl(LWP::Simple)
Requires:       perl(SOAP::Lite)
Requires:       perl(Term::ReadKey)
Requires:       perl(Unicode::String)
Requires:       perl(XML::DOM)
Requires:       perl(XML::Parser)
Requires:       perl(XML::Twig)
Requires:       perl(XML::Writer)
Requires:       perl(XML::XSLT)
Requires:       perl(XMLTV)
BuildArch:      noarch

%description
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

%description -l de
XMLTV ist eine Gruppe von Programmen zum Verwalten von TV-Programmen. Diese
arbeiten mit Listen , die im XML-Format gespeichert werden. Die Grundidee
ist es die Backends (Holen der Listen) von den Frontends (Anzeigen der Listen)
zu trennen.

%package -n perl-xmltv
Summary:        Perl modules for managing your TV viewing
Summary(de):    Eine Gruppe von Programmen zum Verwalten von TV-Programmen
Group:          Productivity/Multimedia/Other
Requires:       perl-XML-Twig
Requires:       perl-base = %{perl_version}
Requires:       perl(DB_File)
Requires:       perl(Date::Manip)
Requires:       perl(HTML::TreeBuilder)
Requires:       perl(Memoize)
Requires:       perl(POSIX)
Requires:       perl(Term::ProgressBar)
Requires:       perl(Tie::Handle)

%description -n perl-xmltv
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the perl modules from xmltv.

%description -l de
XMLTV ist eine Gruppe von Programmen zum Verwalten von TV-Programmen. Diese
arbeiten mit Listen , die im XML-Format gespeichert werden. Die Grundidee
ist es die Backends (Holen der Listen) von den Frontends (Anzeigen der Listen)
zu trennen.

%package grabbers
Summary:        Backends for xmltv
Summary(de):    Backends für xmltv
Group:          Productivity/Multimedia/Other
Requires:       perl-HTML-Tree
Requires:       perl-base = %{perl_version}
Requires:       perl-libwww-perl
Requires:       perl-xmltv
Requires:       perl(Date::Manip)
Requires:       perl(XML::LibXML)

%description grabbers
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the backends (grabbers) for xmltv.

%description -l de
XMLTV ist eine Gruppe von Programmen zum Verwalten von TV-Programmen. Diese
arbeiten mit Listen , die im XML-Format gespeichert werden. Die Grundidee
ist es die Backends (Holen der Listen) von den Frontends (Anzeigen der Listen)
zu trennen.

%prep
%setup -q

%build
export PERL_USE_UNSAFE_INC=1
yes | perl Makefile.PL PREFIX=%{_prefix}
make %{?_smp_mflags}
tr -d '\015' <grab/fr/tv_grab_fr >grab/fr/tv_grab_fr.tmp
mv grab/fr/tv_grab_fr.tmp grab/fr/tv_grab_fr

%install
%perl_make_install
%perl_process_packlist
rm -f %{buildroot}%{_prefix}/lib/perl5/vendor_perl/%{perl_version}/*/auto/XMLTV/.packlist

%files
%license COPYING
%doc Changes MANIFEST README
%{_bindir}/tv_*
%{_mandir}/man1/tv_*.1%{?ext_man}
%exclude %{_bindir}/tv_grab_*
%exclude %{_mandir}/man1/tv_grab_*.1*

%files -n perl-xmltv
%{perl_vendorlib}/XMLTV.pm
%{perl_vendorlib}/XMLTV
%{perl_man3dir}/*

%files grabbers
%{_bindir}/tv_grab_*
%{_mandir}/man1/tv_grab_*.1%{?ext_man}

%changelog
* Fri May 24 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.6.1
  * tv_grab_eu_dotmedia and tv_grab_se_tvzon are deprecated and
    will be removed in the next release of XMLTV. Please switch
    to the new tv_grab_eu_xmltvse grabber as soon as possible.
  * tv_grab_eu_xmltvse:  new grabber for Europe
  * tv_grab_pt_vodafone: new grabber for Portugal
  * tv_grab_es_laguiatv: disable broken grabber
  * tv_grab_fr_kazer:    disable broken grabber
  * tv_grab_in_toi:      disable broken grabber
  * tv_grab_nl:          disable broken grabber
  * tv_grab_eu_epgdata:  include fanart URLs in output
  * tv_grab_fi:          add new ampparit and telsu sources
  * tv_grab_il:          update grabber due to upstream changes
  * tv_grab_is:          now only provides RUV channels
  * tv_grab_zz_sdjson_sqlite:
    improvements to lineup management
    add support for TheTVDB metadata
  * tv_augment:          new rules to improve episode numbering
    logging must now be enabled explicitly
  * tv_count/tv_merge:   mandatory command line options for files
  * tv_imdb:             migrate to new URL for archived IMDB data
  version 0.6.0
  * tv_grab_pt_vodafone: new grabber for Portugal
  * tv_grab_es_laguiatv: disable broken grabber
  * tv_grab_fr_kazer:    disable broken grabber
  * tv_grab_in_toi:      disable broken grabber
  * tv_grab_nl:          disable broken grabber
  * tv_grab_eu_epgdata:  include fanart URLs in output
  * tv_grab_fi:          add new ampparit and telsu sources
  * tv_grab_il:          update grabber due to upstream changes
  * tv_grab_is:          now only provides RUV channels
  * tv_grab_zz_sdjson_sqlite:
    improvements to lineup management
    add support for TheTVDB metadata
  * tv_augment:          new rules to improve episode numbering
  * tv_imdb:             migrate to new URL for archived data
* Fri Oct 12 2018 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.5.70
  * tv_grab_eu_egon - removed broken grabber
  * tv_grab_fi_sv - re-enable Swedish language linstings of
    Finnish TV channels
  * tv_grab_sd_json - renamed to tv_grab_zz_sdjson (not country
    specific)
  * And lots of other changes (see ChangeLog for details)
- Spec cleanup
* Mon Nov 13 2017 olaf@aepfle.de
- Update to version 0.5.69
* Mon Feb  4 2013 hvogel@opensuse.org
- Update to version 0.5.63
* Tue Nov 23 2010 herbert@links2linux.de
- update to version 0.5.59 (not all grabbers activated!)
* Sun May  2 2010 herbert@links2linux.de
- update to version 0.5.57 (not all grabbers activated!)
  * New Grabbers:
  - tv_grab_in: India (experimental)
  - tv_grab_il: Israel
  - tv_grab_nl: Netherlands... old grabber reactivated, works fine
  - tv_grab_dk_dr: re-release of Danish grabber after re-write
  * Major updates:
  - tv_grab_uk_rt: many changes, upgrade strongly recommended
  - tv_grab_es_laguiatv: channel icons added
  - tv_grab_fr: major code cleanup with new features added
  * DTD Changes:
  - Add support for composer and editor credit roles
  - "review" element added
  - channel "transport-id" element added
  * Misc:
  - lots of fixes for POD syntax errors
  - lots of fixes for new versions (6.00+) of Date::Manip module and DST handling
* Thu Jan 21 2010 herbert@links2linux.de
- Enable tv_grab_se_swedb
* Wed Sep 23 2009 herbert@links2linux.de
- relax the requirement of HTTP::Cache::Transparent to version 0.7
  to build tv_grab_uk_rt
* Wed Sep  9 2009 herbert@links2linux.de
- update to version 0.5.56
* Mon Feb  9 2009 herbert@links2linux.de
- update to version 0.5.54
* Tue Sep 16 2008 herbert@links2linux.de
- update to version 0.5.53
- added some dependencies to perl modules to make more grabbers work
* Fri Nov  9 2007 herbert@links2linux.de
- update to version 0.5.50
- added doc files (license, readem, etc)
* Sat Jun  2 2007 herbert@links2linux.de
- Added some requirements for perl packages to enable mor grabbers
* Fri Mar  2 2007 herbert@links2linux.de
- Added a fix for de_tvtoday from CVS
* Sat Dec  2 2006 herbert@links2linux.de
- update to version 0.5.45
- do not build as noarch anymore
- remove patch for tv_grab_nl
* Wed Nov  1 2006 herbert@links2linux.de
- Correctly apply the previous patch
* Sun Oct 29 2006 herbert@links2linux.de
- Added a fix for tv_grab_nl
- grabbers need perl-HTML-Tree
* Wed Aug  9 2006 herbert@links2linux.de
- Update to version 0.5.44
* Sat Jan 28 2006 herbert@links2linux.de
- Update to version 0.5.42
- Added new patch for de_tvtoday
* Sat Nov 26 2005 herbert@links2linux.de
- Update to version 0.5.41
- Removed the patch for tv_grab_de_tvtoday
* Wed Nov  9 2005 herbert@links2linux.de
- Initial version (without tv_check, only some grabbers)
- Added a patch for tv_grab_de_tvtoday
